package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_Desensitization_Strategy_LOG"
)
public class TCoreDesensitizationStrategyLog extends TBaseEntity {
   @Column(
      length = 128
   )
   private String operModule;
   @Column(
      length = 500
   )
   private String operationMassage;
   @Column(
      length = 128
   )
   private String tableName;
   @Column(
      length = 128
   )
   private String fieldName;
   @Column(
      length = 128
   )
   private String strategyName;
   @Column(
      length = 128
   )
   private String dataSystemId;
   @Column(
      length = 128
   )
   private String projectId;
   @Column(
      length = 128
   )
   private String schemaName;
   @Column(
      length = 128
   )
   private String dataareaid;
   @Column(
      length = 128
   )
   private String ruleid;
   @Column(
      length = 20
   )
   private String state;
   @Column(
      length = 20
   )
   private String code;
   @Column(
      length = 255
   )
   private String column_enc;

   public String getOperModule() {
      return this.operModule;
   }

   public void setOperModule(String operModule) {
      this.operModule = operModule;
   }

   public String getOperationMassage() {
      return this.operationMassage;
   }

   public void setOperationMassage(String operationMassage) {
      this.operationMassage = operationMassage;
   }

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getFieldName() {
      return this.fieldName;
   }

   public void setFieldName(String fieldName) {
      this.fieldName = fieldName;
   }

   public String getStrategyName() {
      return this.strategyName;
   }

   public void setStrategyName(String strategyName) {
      this.strategyName = strategyName;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getSchemaName() {
      return this.schemaName;
   }

   public void setSchemaName(String schemaName) {
      this.schemaName = schemaName;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getColumn_enc() {
      return this.column_enc;
   }

   public void setColumn_enc(String column_enc) {
      this.column_enc = column_enc;
   }
}
